LibreOffice: cppu::detail Namespace Reference

LibreOffice LibreOffice 5.2 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Functions
cppu::detail Namespace Reference

## Classes
union | element_alias
| This is here to optimise space in the common case that there are zero or one listeners. More...

## Functions
css::uno::Type const & | getTypeFromTypeDescriptionReference (::typelib_TypeDescriptionReference *const *tdr)
css::uno::Type const & | getTypeFromTypeClass (::typelib_TypeClass tc)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER::cppu::UnoVoidType const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER bool const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER sal_Bool const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER::sal_Int8 const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER::sal_Int16 const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER::cppu::UnoUnsignedShortType const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER::sal_Int32 const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER::sal_uInt32 const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER::sal_Int64 const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER::sal_uInt64 const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER float const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER double const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER::cppu::UnoCharType const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER::rtl::OUString const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER css::uno::Type const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER css::uno::Any const *)
template<typename T >
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER::cppu::UnoSequenceType< T > const *)
template<typename T >
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER css::uno::Sequence< T > const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER css::uno::Exception const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER css::uno::XInterface const *)
template<typename T >
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER css::uno::Reference< T > const *)

## Function Documentation

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER::cppu::UnoVoidType const * |  | ) |
| inline

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER bool const * |  | ) |
| inline

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER sal_Bool const * |  | ) |
| inline

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER::sal_Int8 const * |  | ) |
| inline

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER::sal_Int16 const * |  | ) |
| inline

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER::cppu::UnoUnsignedShortType const * |  | ) |
| inline

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER::sal_Int32 const * |  | ) |
| inline

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER::sal_uInt32 const * |  | ) |
| inline

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER::sal_Int64 const * |  | ) |
| inline

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER::sal_uInt64 const * |  | ) |
| inline

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER float const * |  | ) |
| inline

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER double const * |  | ) |
| inline

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER::cppu::UnoCharType const * |  | ) |
| inline

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER::rtl::OUString const * |  | ) |
| inline

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER css::uno::Type const * |  | ) |
| inline

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER css::uno::Any const * |  | ) |
| inline

template<typename T >

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER::cppu::UnoSequenceType< T > const * |  | ) |
| inline

template<typename T >

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER css::uno::Sequence< T > const * |  | ) |
| inline

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER css::uno::Exception const * |  | ) |
| inline

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER css::uno::XInterface const * |  | ) |
| inline

template<typename T >

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER css::uno::Reference< T > const * |  | ) |
| inline

css::uno::Type const& cppu::detail::getTypeFromTypeClass | ( | ::typelib_TypeClass | tc | ) |
| inline

css::uno::Type const& cppu::detail::getTypeFromTypeDescriptionReference | ( | ::typelib_TypeDescriptionReference *const * | tdr | ) |
| inline